package com.ff.base.enums;

import lombok.Getter;

/**
 * 充值活动多笔重复领取
 *
 * @author liukang
 */
@Getter
public enum ActivityChargeRepeatReceive {

    /**
     *多笔重复领取(1.开启 2.关闭) 只有单笔充值才有此开关 并且开启后不用看领取次数
     *
     * 开启：每笔充值满足条件都可获得对应奖励，例如，充5笔200档，该档可领取5次
     * 关闭：每个阶梯奖励仅可领取一次
     */
    REPEATRECEIVE_1("1", "开启"),
    REPEATRECEIVE_2("2", "关闭");

    private final String code;
    private final String info;

    ActivityChargeRepeatReceive(String code, String info) {
        this.code = code;
        this.info = info;
    }
}
